- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_firewall – Enable or disable the Windows Firewall

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Enable or Disable Windows Firewall profiles.

## Requirements

The below requirements are needed on the host that executes this module.

- This module requires Windows Management Framework 5 or later.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
profiles list | Choices: Domain ← Private ← Public ← Default: ["Domain", "Private", "Public"] | Specify one or more profiles to change.
state string | Choices: disabled enabled | Set state of firewall for given profile.

## See Also

See also

win_firewall_rule – Windows firewall automation

  The official documentation on the win_firewall_rule module.

## Examples

    - name: Enable firewall for Domain, Public and Private profiles
      win_firewall:
        state: enabled
        profiles:
        - Domain
        - Private
        - Public
      tags: enable_firewall

    - name: Disable Domain firewall
      win_firewall:
        state: disabled
        profiles:
        - Domain
      tags: disable_firewall

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
enabled boolean | always | Current firewall status for chosen profile (after any potential change). Sample: True
profiles string | always | Chosen profile. Sample: Domain
state list | always | Desired state of the given firewall profile(s). Sample: enabled

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Michael Eaton (@michaeldeaton)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.